Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.notification
Class ConnectionClosedEvent

    java.lang.Object
      java.util.EventObject
          com.sun.messaging.jms.notification.Event
              com.sun.messaging.jms.notification.ConnectionEvent
                  com.sun.messaging.jms.notification.ConnectionClosedEvent

All Implemented Interfaces:
  Serializable

    public class ConnectionClosedEvent

extends ConnectionEvent

MQ Connection closed Event. This event is generated by MQ and delivered to an application (if the connection event listener is set) when a connection is closed by MQ.

See Also:
  Serialized Form

Field Summary
`static String` | `CONNECTION_CLOSED_BROKER_DOWN` Connection closed event code - broker crash.
`static String` | `CONNECTION_CLOSED_ERROR` Connection closed event code - server error, e.g. out of memory.
`static String` | `CONNECTION_CLOSED_KILL` Connection closed event code - admin killed connection.
`static String` | `CONNECTION_CLOSED_LOST_CONNECTION` The above event codes are for events originated from the broker.
`static String` | `CONNECTION_CLOSED_NON_RESPONSIVE` Connection closed event code - broker is not responsive.
`static String` | `CONNECTION_CLOSED_RESTART` Connection closed event code - admin requested restart
`static String` | `CONNECTION_CLOSED_SHUTDOWN` Connection closed event code - admin requested shutdown

Fields inherited from class com.sun.messaging.jms.notification.ConnectionEvent
`connection`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ConnectionClosedEvent(Connection conn, String evCode, String evMessage, JMSException jmse)` Construct a connection closed event.

Method Summary
`JMSException` | `getJMSException()` Get the JMSException that caused the connection to be closed.

Methods inherited from class com.sun.messaging.jms.notification.ConnectionEvent
`getBrokerAddress, getConnection, getSource`

Methods inherited from class com.sun.messaging.jms.notification.Event
`getEventCode, getEventMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONNECTION_CLOSED_SHUTDOWN

    public static final String CONNECTION_CLOSED_SHUTDOWN

  Connection closed event code - admin requested shutdown

  See Also:
    Constant Field Values

### CONNECTION_CLOSED_RESTART

    public static final String CONNECTION_CLOSED_RESTART

  Connection closed event code - admin requested restart

  See Also:
    Constant Field Values

### CONNECTION_CLOSED_ERROR

    public static final String CONNECTION_CLOSED_ERROR

  Connection closed event code - server error, e.g. out of memory.

  See Also:
    Constant Field Values

### CONNECTION_CLOSED_KILL

    public static final String CONNECTION_CLOSED_KILL

  Connection closed event code - admin killed connection.

  See Also:
    Constant Field Values

### CONNECTION_CLOSED_BROKER_DOWN

    public static final String CONNECTION_CLOSED_BROKER_DOWN

  Connection closed event code - broker crash.

  See Also:
    Constant Field Values

### CONNECTION_CLOSED_NON_RESPONSIVE

    public static final String CONNECTION_CLOSED_NON_RESPONSIVE

  Connection closed event code - broker is not responsive.

  See Also:
    Constant Field Values

### CONNECTION_CLOSED_LOST_CONNECTION

    public static final String CONNECTION_CLOSED_LOST_CONNECTION

  The above event codes are for events originated from the broker. Broker notifies MQ client runtime that the connection is closed. This event code is to represent that the MQ client runtime detects the connection to the broker is broken. This could be a network problem or broker crashed.

  See Also:
    Constant Field Values

Constructor Detail

### ConnectionClosedEvent

    public ConnectionClosedEvent(Connection conn,
                                 String evCode,
                                 String evMessage,
                                 JMSException jmse)

  Construct a connection closed event.

  Parameters:
    `conn` - the connection that the event is associated with. MQ may automatically reconnect to the same broker or a different broker depends on the client runtime configuration.
    `evCode` - the event code that represents this event object.
    `evMessage` - the event message that describes this event object.
    `jmse` - the JMSException that caused this event.

Method Detail

### getJMSException

    public JMSException getJMSException()

  Get the JMSException that caused the connection to be closed.

  Returns:
    the JMSException that caused the connection to be closed. return null if no JMSException associated with this event. Such as connection closed caused by admin requested shutdown.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.